from ast import literal_eval
from gettext import gettext as _
from enum import IntFlag, IntEnum, auto

from gi.repository import GLib

version = '5.0'
app_name = _('Reminders')
project_name = 'reminders'
base_app_id = 'io.github.remindersdevs.Reminders'
app_id = 'io.github.remindersdevs.Reminders'
app_executable = 'reminders'
app_object = '/io/github/remindersdevs/Reminders'

service_executable = 'reminders-service'
service_id = 'io.github.remindersdevs.Reminders.Service'
service_interface = 'io.github.remindersdevs.Reminders.Service'
service_object = '/io/github/remindersdevs/Reminders/Service'
service_path = '/usr/libexec/reminders-service'

portals_enabled = literal_eval('False')

client_id = '75c0b88f-6c54-4679-b6bd-18ed15e7dedf'

data_dir = f'{GLib.get_user_data_dir()}/{app_executable}'

old_data_dir = f'{GLib.get_user_data_dir()}/remembrance'

interface_file = f'/usr/share/dbus-1/interfaces/{service_interface}.xml'

reminder_defaults = {
    'title': '',
    'description': '',
    'due-date': 0,
    'timestamp': 0,
    'shown': False,
    'completed': False,
    'important': False,
    'repeat-type': 0,
    'repeat-frequency': 1,
    'repeat-days': 0,
    'repeat-until': 0,
    'repeat-times': -1,
    'created-timestamp': 0,
    'updated-timestamp': 0,
    'completed-timestamp': 0,
    'completed-date': 0,
    'list-id': 'local',
    'uid': ''
}

class TimeFormat(IntEnum):
    TWENTYFOUR_HOUR = 0
    TWELVE_HOUR = 1

class RepeatType(IntEnum):
    DISABLED = 0
    MINUTE = 1
    HOUR = 2
    DAY = 3
    WEEK = 4
    MONTH = 5
    YEAR = 6

class RepeatDays(IntFlag):
    MON = auto()
    TUE = auto()
    WED = auto()
    THU = auto()
    FRI = auto()
    SAT = auto()
    SUN = auto()
